Subject: I'll see you I really liked - let's get acquainted! I am from Russia!

From: <[email-masked]>
Date: Sat, 20 Feb 2010 12:06:14 +0100

You are my good, my handsome - write me, I'm waiting! Visit this site